#
# Specfile for lineak_kdeplugins, KDE-specific actions for lineakd
#

Name:           lineak-kdeplugins
Version:        0.9
Release:        4%{?dist}
Summary:        KDE-specific plugins for the lineakd keyboard daemon

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lineak.sourceforge.net

################################################################################

Source0:        http://downloads.sourceforge.net/lineak/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

################################################################################

Patch1:         lineak-kdeplugins-0.9-gcc43.patch

BuildRequires:  lineakd-devel      = %{version}
BuildRequires:  kdelibs3-devel
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel

Requires:       lineakd            = %{version}

Obsoletes:      lineak_kdeplugins < %{version}-%{release}

################################################################################

%description
This package contains several KDE-specific plugins for lineakd, including
amarok, kmail and others.

################################################################################

%prep

%setup -q

%patch1 -p1 -b .gcc43

# Replace static lib paths with %{_lib} so we build properly on x86_64
# systems, where the libs are actually in lib64.
#    if [ "%{_lib}" != "lib" ]; then
#        grep -rl /lib/   . | xargs sed -i -e 's,/lib/,/%{_lib}/,g'
#        grep -rl /lib$   . | xargs sed -i -e 's,/lib$,/%{_lib},'
#        grep -rl /lib\\$ . | xargs sed -i -e 's,/lib\$,/%{_lib},'
#        grep -rl '/lib ' . | xargs sed -i -e 's,/lib ,/%{_lib} ,g'
#    fi

################################################################################

%build

%configure --with-lineak-plugindir=%{_libdir}/lineakd/plugins

make %{?_smp_mflags}

################################################################################

%install

rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Remove the libtool archive files
rm -f $RPM_BUILD_ROOT/%{_libdir}/lineakd/plugins/*.la

################################################################################

%clean

rm -rf $RPM_BUILD_ROOT

################################################################################

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/lineakd/plugins/*
%{_mandir}/man[^3]/*

################################################################################

%changelog
* Tue Apr 01 2008 Rex Dieter <rdieter@fedoraproject.org> 0.9-4
- fix rawhide build (#434521)
- fix SOURCE url
- License: GPLv2+
- use versioned Obsoletes

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9-3
- Autorebuild for GCC 4.3

* Fri Sep  8 2006   Chris Petersen <rpm@forevermore.net>                  0.9-2
- Rebuild for FC6 glibc update

* Thu May 25 2006   Chris Petersen <rpm@forevermore.net>                  0.9-1
- Preliminary build for 0.9
- Yay, no more underscores
- Seems that we don't need the lib64 sed stuff, either

* Tue May 23 2006   Chris Petersen <rpm@forevermore.net>                0.8.4-4
- Add BuildRequires

* Mon May 22 2006   Chris Petersen <rpm@forevermore.net>                0.8.4-3
- Rename package with - instead of _, despite upstream use of _
- Add Obsoletes and Provides for the underscore version of the name

* Fri May 20 2006   Chris Petersen <rpm@forevermore.net>                0.8.4-2
- Fix download link to point to direct download

* Thu May 11 2006   Chris Petersen <rpm@forevermore.net>                0.8.4-1
- Update spec to match fedora guidelines

* Mon Mar 14 2005   Chris Petersen <rpm@forevermore.net>
- Change lineakd required version from >= to =

* Wed Sep 15 2004   Chris Petersen <rpm@forevermore.net>
- Rework how files are picked, and add paths to allow the makeinstall macro to work

* Tue Mar 6  2004   Chris Petersen <rpm@forevermore.net>
- Updated spec file to a better template

